Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Files::emptyDirectoryRecursively affects targets of symlinks
Description

\TYPO3\FLOW3\Utility\Files::removeDirectoryRecursively() fails to properly unlink directory symlinks on Windows. Thus 
\TYPO3\FLOW3\Utility\Files::emptyDirectoryRecursively() iterates through the target files of a symlinked folder and removes them!

Associated revisions
Revision 0a9a47bb - 2011-12-16 09:48 - Bastian Waidelich

[BUGFIX] Files::emptyDirectoryRecursively affects targets of symlinks

\TYPO3\FLOW3\Utility\Files::removeDirectoryRecursively() fails to
properly unlink directory symlinks on Windows.

Thus \TYPO3\FLOW3\Utility\Files::emptyDirectoryRecursively()
iterates through the target files of a symlinked folder and
removes them!

This change fixes this by introducing a custom unlink() function
that can remove a symlink regardless of it's type (file/directory).

Change-Id: Iad2e358ec8a94fe91dd27eda5737f075f277f2dc
Fixes: #32550
Releases: 1.0, 1.1

Revision a58728dd - 2011-12-16 10:46 - Karsten Dambekalns

[BUGFIX] Reorder code in emptyDirectoryRecursively()

The change in Iad2e358ec8a94fe91dd27eda5737f075f277f2dc did break one
test, after all. This fixes it for me, I hope it works on Windows.

Change-Id: Iadcfe9b6d143e1fa856a3ce93f51888a18bb5e35
Related: #32550
Releases: 1.1

Revision f7cc65f5 - 2011-12-19 15:12 - Bastian Waidelich

[BUGFIX] Change code in emptyDirectoryRecursively()
This change reverts Iadcfe9b6d143e1fa856a3ce93f51888a18bb5e35 which
reintruduced the bug explained in #32550. It fixes the issue at hand
by simplifying the code a bit.

Change-Id: I0c2c252a5ef0dc50e2ab352c25f3f9c9d38bb6f6
Fixes: #32550
Releases: 1.1

Revision 12eea665 - 2011-12-21 16:32 - Bastian Waidelich

[BUGFIX] Files::emptyDirectoryRecursively affects targets of symlinks

\TYPO3\FLOW3\Utility\Files::removeDirectoryRecursively() fails to
properly unlink directory symlinks on Windows.

Thus \TYPO3\FLOW3\Utility\Files::emptyDirectoryRecursively()
iterates through the target files of a symlinked folder and
removes them!

This change fixes this by introducing a custom unlink() function
that can remove a symlink regardless of it's type (file/directory).

Change-Id: Ia0aef3edf326d89bd87016e6fd654693fed85c02
Fixes: #32550
Releases: 1.0, 1.1

History
#1 - 2011-12-14 17:00 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7260

#2 - 2011-12-14 17:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7260

#3 - 2011-12-15 16:15 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7260

#4 - 2011-12-15 17:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7260
#5 - 2011-12-16 09:48 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7260

#6 - 2011-12-16 09:58 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7293

#7 - 2011-12-16 10:06 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0a9a47bb85fb874be64728f3a47b91896a73ca4a.

#8 - 2011-12-19 13:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7385

#9 - 2011-12-19 15:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7385

#10 - 2011-12-19 22:37 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:f7cc65f5726f9eae5431a5bf452c2cf74c280527.

#11 - 2011-12-20 14:10 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7293

#12 - 2011-12-20 14:12 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7293

#13 - 2011-12-21 16:32 - Gerrit Code Review

Patch set 4 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7293

#14 - 2011-12-21 22:06 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:12eea665d94747288a82a9a0e02094ac6ab8d42b.
